## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without autoreconf

Name:           rlwrap
Version:        0.46.2
Release:        %autorelease
Summary:        Wrapper for GNU readline

License:        GPL-2.0-or-later
URL:            https://github.com/hanslub42/rlwrap
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  python3-rpm-macros
BuildRequires:  readline-devel
%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.


%prep
%autosetup -p1


# dnl workaround for RPM < 4.18 not having %%conf
%{?conf:%conf}
%{!?conf:%build}
autoreconf -fiv

%if 0%{?fedora} >= 42 || 0%{?rhel} >= 11
# issues with rl_message function signature even though readline is not upgraded
# https://gcc.gnu.org/gcc-15/porting_to.html
# readline.c: In function ‘message_in_echo_area’:
# readline.c:192:5: error: too many arguments to function ‘rl_message’; expected 0, have 1
#   192 |     rl_message(message);
#       |     ^~~~~~~~~~ ~~~~~~~
# In file included from rlwrap.h:189,
#                  from readline.c:23:
# /usr/include/readline/readline.h:410:12: note: declared here
#   410 | extern int rl_message ();
#       |            ^~~~~~~~~~
# seems related to the switch to -std=gnu23 but not sure how:
# https://gcc.gnu.org/gcc-15/porting_to.html
# reported upstream in https://github.com/hanslub42/rlwrap/issues/195
export CFLAGS="%{optflags} -std=gnu17"
%endif

%configure


%{?conf:%build}
%make_build


%install
%make_install

# Fix shebangs to prevent bogus requirements
%{__sed} -r -i \
    -e 's|^#!.*perl$|#!%{__perl}|g' \
    -e 's|^#!.*python3$|#!%{__python3}|g' \
    $(find %{buildroot}%{_datadir}/%{name}/ -type f)


%check
make check


%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/rlwrap
%{_mandir}/*/rlwrap.*
%{_mandir}/man3/RlwrapFilter.*
%{_datadir}/rlwrap



%changelog
## START: Generated by rpmautospec
* Fri May 23 2025 Michel Lind <salimma@fedoraproject.org> - 0.46.2-3
- Don't use bcond and dnl on EL8

* Fri May 23 2025 Michel Lind <salimma@fedoraproject.org>
- Update to 0.46.2 upstream release
- Resolves: rhbz#2364092

* Thu Feb 09 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.46.1-1
- Update to 0.46.1

* Mon Jan 30 2023 Miro Hrončok <miro@hroncok.cz> - 0.45.2-3
- Rebuilt to change Python shebangs to /usr/bin/python3.6 on EPEL 8

* Wed Sep 28 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.2-2
- Fix version parsing in rlwrapfilter.py (rhbz#2091749)

* Wed Feb 02 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.2-1
- Update to 0.45.2

* Tue Jan 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.44-1
- Update to 0.44

* Fri Dec 04 2020 Jeff Law <law@redhat.com> - 0.43-8
- Fix out of bounds read in configure generated code caught by gcc-11

* Sun Feb  9 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.43-5
- Initial EPEL 8 build

## END: Generated by rpmautospec
